Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::ServerInformationList_var Class Reference

`#include <ImplRepoC.h>`

List of all members.

## Public Methods
| ServerInformationList_var (void)
| ServerInformationList_var (ServerInformationList *)
| ServerInformationList_var (const ServerInformationList_var &)
| ~ServerInformationList_var (void)
ServerInformationList_var & | operator= (ServerInformationList *)
ServerInformationList_var & | operator= (const ServerInformationList_var &)
ServerInformationList * | operator-> (void)
const ServerInformationList * | operator-> (void) const
| operator const ServerInformationList & () const
| operator ServerInformationList & ()
| operator ServerInformationList & () const
| operator ServerInformationList *& ()
ServerInformation & | operator[] (CORBA::ULong index)
const ServerInformation & | operator[] (CORBA::ULong index) const
const ServerInformationList & | in (void) const
ServerInformationList & | inout (void)
ServerInformationList *& | out (void)
ServerInformationList * | _retn (void)
ServerInformationList * | ptr (void) const
## Private Attributes
ServerInformationList * | ptr_

## Constructor & Destructor Documentation

ImplementationRepository::ServerInformationList_var::ServerInformationList_var | ( | void |  | ) |

ImplementationRepository::ServerInformationList_var::ServerInformationList_var | ( | ServerInformationList * |  | ) |

ImplementationRepository::ServerInformationList_var::ServerInformationList_var | ( | const ServerInformationList_var & |  | ) |

ImplementationRepository::ServerInformationList_var::~ServerInformationList_var | ( | void |  | ) |

## Member Function Documentation

ServerInformationList* ImplementationRepository::ServerInformationList_var::_retn | ( | void |  | ) |

const ServerInformationList& ImplementationRepository::ServerInformationList_var::in | ( | void |  | ) | const

ServerInformationList& ImplementationRepository::ServerInformationList_var::inout | ( | void |  | ) |

ImplementationRepository::ServerInformationList_var::operator const ServerInformationList & | ( |  | ) | const

ImplementationRepository::ServerInformationList_var::operator ServerInformationList & | ( |  | ) | const

ImplementationRepository::ServerInformationList_var::operator ServerInformationList & | ( |  | ) |

ImplementationRepository::ServerInformationList_var::operator ServerInformationList *& | ( |  | ) |

const ServerInformationList* ImplementationRepository::ServerInformationList_var::operator-> | ( | void |  | ) | const

ServerInformationList* ImplementationRepository::ServerInformationList_var::operator-> | ( | void |  | ) |

ServerInformationList_var& ImplementationRepository::ServerInformationList_var::operator= | ( | const ServerInformationList_var & |  | ) |

ServerInformationList_var& ImplementationRepository::ServerInformationList_var::operator= | ( | ServerInformationList * |  | ) |

const ServerInformation& ImplementationRepository::ServerInformationList_var::operator[] | ( | CORBA::ULong | index | ) | const

ServerInformation& ImplementationRepository::ServerInformationList_var::operator[] | ( | CORBA::ULong | index | ) |

ServerInformationList*& ImplementationRepository::ServerInformationList_var::out | ( | void |  | ) |

ServerInformationList* ImplementationRepository::ServerInformationList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ServerInformationList* ImplementationRepository::ServerInformationList_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.h